import { Transaction } from 'liquidjs-lib';
import { Network } from 'liquidjs-lib/src/networks';
import { LiquidClaimDetails } from '../consts/Types';
/**
 * Claim swaps
 *
 * @param utxos UTXOs that should be claimed or refunded
 * @param destinationScript the output script to which the funds should be sent
 * @param fee how many satoshis should be paid as fee
 * @param isRbf whether the transaction should signal full Replace-by-Fee
 * @param network network of the transaction
 * @param blindingKey blinding public key for the output; undefined if the output should not be blinded
 * @param timeoutBlockHeight locktime of the transaction; only needed if the transaction is a refund
 * @param isRefund whether the transaction is a refund or claim
 */
export declare const constructClaimTransaction: (utxos: LiquidClaimDetails[], destinationScript: Buffer, fee: number, isRbf?: boolean, network?: Network, blindingKey?: Buffer, timeoutBlockHeight?: number, isRefund?: boolean) => Transaction;
