import { Taptree } from 'bitcoinjs-lib/src/types';
import { Transaction, TxOutput } from 'liquidjs-lib';
import { HashTree } from 'liquidjs-lib/src/bip341';
import { Network } from 'liquidjs-lib/src/networks';
import { Tapleaf } from '../../consts/Types';
import Musig from '../../musig/Musig';
export declare const hashForWitnessV1: (network: Network, details: TxOutput[], tx: Transaction, index: number, leafHash?: Buffer, hashType?: number) => Buffer;
export declare const tapLeafHash: (leaf: Tapleaf) => Buffer<ArrayBufferLike>;
export declare const tapBranchHash: (a: Buffer, b: Buffer) => Buffer<ArrayBufferLike>;
export declare const tapTweakHash: (publicKey: Buffer, tweak: Buffer) => Buffer<ArrayBufferLike>;
export declare function toHashTree(scriptTree: Taptree): HashTree;
export declare const tweakMusig: (musig: Musig, tree: Taptree) => Buffer;
export declare const createControlBlock: (hashTree: HashTree, leaf: Tapleaf, internalKey: Buffer) => Buffer;
