import { Secp256k1ZKP } from '@vulpemventures/secp256k1-zkp';
import { ECPairInterface } from 'ecpair';
declare class Musig {
    private readonly secp;
    private readonly key;
    readonly sessionId: Buffer;
    readonly publicKeys: Buffer[];
    private readonly pubkeyAgg;
    private readonly nonce;
    private readonly myIndex;
    private readonly partialSignatures;
    private pubNonces?;
    private nonceAgg?;
    private session?;
    constructor(secp: Secp256k1ZKP, key: ECPairInterface, sessionId: Buffer, publicKeys: Buffer[]);
    static parsePubNonce: (nonce: string) => Buffer<ArrayBufferLike>;
    numParticipants: () => number;
    getAggregatedPublicKey: () => Buffer;
    getPublicNonce: () => Uint8Array;
    tweakKey: (tweak: Uint8Array) => Buffer;
    aggregateNoncesOrdered: (nonces: Uint8Array[]) => void;
    aggregateNonces: (nonces: [Uint8Array, Uint8Array][]) => void;
    initializeSession: (msg: Uint8Array) => void;
    /**
     * Returns our partial signature and adds it to the internal list
     */
    signPartial: () => Uint8Array<ArrayBufferLike>;
    verifyPartial: (publicKeyOrIndex: Buffer | number, signature: Uint8Array) => boolean;
    /**
     * Adds a partial signature after verifying it
     */
    addPartial: (publicKeyOrIndex: Buffer | number, signature: Uint8Array) => void;
    aggregatePartials: () => Buffer;
    private indexOfPublicKeyOrIndex;
}
export default Musig;
