import { Transaction } from 'bitcoinjs-lib';
import { ClaimDetails } from '../consts/Types';
export declare const isRelevantTaprootOutput: (utxo: Omit<ClaimDetails, "value" | "keys">) => boolean;
export declare const validateInputs: (utxos: Omit<ClaimDetails, "value" | "keys">[]) => void;
/**
 * Claim swaps
 *
 * @param utxos UTXOs that should be claimed or refunded
 * @param destinationScript the output script to which the funds should be sent
 * @param fee how many satoshis should be paid as fee
 * @param isRbf whether the transaction should signal full Replace-by-Fee
 * @param timeoutBlockHeight locktime of the transaction; only needed if the transaction is a refund
 * @param isRefund whether the transaction is a refund or claim
 */
export declare const constructClaimTransaction: (utxos: ClaimDetails[], destinationScript: Buffer, fee: number, isRbf?: boolean, timeoutBlockHeight?: number, isRefund?: boolean) => Transaction;
