/**
 * This file is based on the repository github.com/submarineswaps/swaps-service created by Alex Bosworth
 */
import { Transaction } from 'bitcoinjs-lib';
import { RefundDetails } from '../consts/Types';
/**
 * Refund swaps
 *
 * @param utxos UTXOs that should be refunded
 * @param destinationScript the output script to which the funds should be sent
 * @param timeoutBlockHeight locktime of the transaction
 * @param fee how many satoshis should be paid as fee
 * @param isRbf whether the transaction should signal full Replace-by-Fee
 */
export declare const constructRefundTransaction: (utxos: RefundDetails[], destinationScript: Buffer, timeoutBlockHeight: number, fee: number, isRbf?: boolean) => Transaction;
