"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.constructRefundTransaction = void 0;
const Utils_1 = require("../Utils");
const Claim_1 = require("./Claim");
const dummyPreimage = (0, Utils_1.getHexBuffer)('0x00');
/**
 * Refund swaps
 *
 * @param utxos UTXOs that should be refunded
 * @param destinationScript the output script to which the funds should be sent
 * @param timeoutBlockHeight locktime of the transaction
 * @param fee how many satoshis should be paid as fee
 * @param isRbf whether the transaction should signal full Replace-by-Fee
 */
const constructRefundTransaction = (utxos, destinationScript, timeoutBlockHeight, fee, isRbf = true) => {
    const claimUtxos = [];
    utxos.forEach((utxo) => {
        claimUtxos.push(Object.assign(Object.assign({}, utxo), { preimage: dummyPreimage }));
    });
    return (0, Claim_1.constructClaimTransaction)(claimUtxos, destinationScript, fee, isRbf, timeoutBlockHeight, true);
};
exports.constructRefundTransaction = constructRefundTransaction;
//# sourceMappingURL=Refund.js.map