/**
 * This file is based on the repository github.com/submarineswaps/swaps-service created by Alex Bosworth
 */
import { Transaction, TxOutput } from 'bitcoinjs-lib';
import { OutputType } from '../consts/Enums';
type LiquidTxOutput = Omit<TxOutput, 'value'> & {
    value: Buffer;
    asset: Buffer;
    nonce: Buffer;
    rangeProof?: Buffer;
    surjectionProof?: Buffer;
};
type DetectedSwap<T> = {
    type: OutputType;
    vout: number;
} & (T extends Transaction ? TxOutput : LiquidTxOutput);
/**
 * Detects a swap output with the matching redeem script or tweaked key in a transaction
 */
export declare const detectSwap: <T extends {
    outs: (TxOutput | LiquidTxOutput)[];
} = Transaction>(redeemScriptOrTweakedKey: Buffer, transaction: T) => DetectedSwap<T> | undefined;
export {};
