"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.compareTrees = void 0;
const compareLeaf = (leaf, compareLeaf) => leaf.version === compareLeaf.version &&
    leaf.output.equals(compareLeaf.output);
const compareTree = (tree, compare) => {
    if (Array.isArray(tree) !== Array.isArray(compare)) {
        return false;
    }
    if (Array.isArray(tree) && Array.isArray(compare)) {
        return (tree.length === compare.length &&
            tree.every((leaf, i) => compareTree(leaf, compare[i])));
    }
    else {
        return compareLeaf(tree, compare);
    }
};
const compareTrees = (tree, compare) => compareTree(tree.tree, compare.tree);
exports.compareTrees = compareTrees;
//# sourceMappingURL=SwapTreeCompare.js.map