import { Transaction } from 'bitcoinjs-lib';
import { HashTree } from 'bitcoinjs-lib/src/payments/bip341';
import { Taptree } from 'bitcoinjs-lib/src/types';
import { RefundDetails, ScriptElement, Tapleaf } from '../consts/Types';
import Musig from '../musig/Musig';
export declare const leafVersionLiquid = 196;
export declare const swapLeafsToTree: (claimLeaf: Tapleaf, refundLeaf: Tapleaf) => Taptree;
export declare const createControlBlock: (hashTree: HashTree, leaf: Tapleaf, internalKey: Buffer) => Buffer;
export declare const createLeaf: (isLiquid: boolean, script: ScriptElement[]) => Tapleaf;
export declare const hashForWitnessV1: (details: RefundDetails[], tx: Transaction, index: number, leafHash?: Buffer, hashType?: number) => Buffer;
export declare const tweakMusig: (musig: Musig, tree: Taptree) => Buffer;
