"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.assignTreeProbabilities = exports.sortTree = void 0;
const subSortTree = (nodes) => {
    if (nodes.length === 1) {
        return nodes[0].value;
    }
    else if (nodes.length === 2) {
        return [nodes[0].value, nodes[1].value];
    }
    const sum = nodes.reduce((sum, node) => sum + node.probability, 0);
    let mid = 0;
    let midSum = 0;
    while (midSum < sum / 2) {
        midSum += nodes[mid].probability;
        mid++;
    }
    return [subSortTree(nodes.slice(0, mid)), subSortTree(nodes.slice(mid))];
};
const sortTree = (nodes) => subSortTree(nodes.sort((a, b) => b.probability - a.probability));
exports.sortTree = sortTree;
const assignTreeProbabilities = (tree) => {
    if (tree.claimLeaf === undefined || tree.refundLeaf === undefined) {
        throw 'invalid tree';
    }
    if (tree.covenantClaimLeaf) {
        return [
            {
                probability: 51,
                value: tree.covenantClaimLeaf,
            },
            {
                probability: 25,
                value: tree.claimLeaf,
            },
            {
                probability: 24,
                value: tree.refundLeaf,
            },
        ];
    }
    return [
        {
            probability: 51,
            value: tree.claimLeaf,
        },
        {
            probability: 49,
            value: tree.refundLeaf,
        },
    ];
};
exports.assignTreeProbabilities = assignTreeProbabilities;
//# sourceMappingURL=TreeSort.js.map